{% extends 'outside/layout_outside.html' %}
{% load bootstrap %}
{% load i18n %}

{% block content %}
<div class="slice" id="login-slice">
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="page-section">
                    <div class="page-header">
                        <h2 class="page-title">{% trans "Welcome to AgriPlace" %}</h2>
                        <p>{% trans "Create a password to begin" %}</p>
                    </div>

                    <div class="page-section-content">
                        {% if error_msg %}
                            <div class="alert alert-danger">
                                {% trans error_msg %}
                            </div>
                        {% endif %}

                        {% if bad_key %}
                            <div class="alert alert-danger">
                                {% trans "Sorry, you haven't provided valid activation key." %}
                            </div>
                            <hr />
                            <p>
                                <a href="{% url "auth_login" %}" class="btn btn-primary">
                                    {% trans "Continue to login page" %}
                                </a>
                            </p>
                        {% else %}
                            <form method="post" class="form">
                                {% csrf_token %}

                                {{ form|bootstrap }}

                                <div class="clearfix"></div>
                                <div class="form-group">
                                    <input type="submit" value="{% trans 'Confirm' %}" class="btn btn-primary" />
                                </div>
                            </form>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}